'\"
'\" Copyright (c) 2001, Vince Darley
'\" 
'\" 
.so man.macros
.TH vfslib n 1.0 Vfslib "Tcl-only Virtual File Systems"
.BS
'\" Note:  do not modify the .sh NAME line immediately below!
.SH NAME
::vfslib \- Procedures to interact with virtual filesystems
.SH SYNOPSIS
.BS
.sp
\fBpackage require Tcl 8.4\fR
.sp
\fBpackage require vfs ?1.0?\fR
.sp
\fBvfs::zip::Mount\fR \fIpath\fR \fIto\fR
.sp
\fBvfs::ftp::Mount\fR \fIpath\fR \fIto\fR
.sp
\fBvfs::http::Mount\fR \fIpath\fR \fIto\fR
.sp
\fBvfs::mk4::Mount\fR \fIpath\fR \fIto\fR
.sp
\fBvfs::ns::Mount\fR \fIpath\fR \fIto\fR
.sp
\fBvfs::urltype::Mount\fR \fItype\fR
.sp
.BE
.SH DESCRIPTION
.PP
The \fB::vfs\fR package includes a library of Tcl code, informally
known as 'vfslib' which can be accessed through \fBpackage require
vfs\fP.
.PP
.SH SUPPORTED VFS TYPES
.PP
The current supported types are ftp, http, zip, mk4, ns.  In addition 
there is the ability to mount any 'urltype' as a new volume, provided 
an appropriate vfs is supported.  This means that you can treat
'ftp://', 'http://' and 'file://' urls as files.  To do this, simply
evaluate the command
.PP
\fIvfs::urltype::Mount ftp\fR
.PP
for instance.  Any access inside the new volume will result in an
attempt to mount a new path through 'vfs::${type}::Mount', which must 
therefore exist, or errors will be thrown.
.PP
.SH LIMITATIONS
.PP
Most of the vfs types listed above have not been very well debugged
as yet.  Please test them!
.SH KEYWORDS
vfs, vfslib, filesystem, zip, ftp, http, file


